// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.14.0
// source: quest.proto

package protoquest

import (
	proto "github.com/golang/protobuf/proto"
	common "gitlab.com/vajar_minigame/proto_go/gen/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Quest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                  *common.QuestId `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Difficulty          int32           `protobuf:"varint,2,opt,name=difficulty,proto3" json:"difficulty,omitempty"`
	RecommendedStrength int32           `protobuf:"varint,3,opt,name=recommendedStrength,proto3" json:"recommendedStrength,omitempty"`
	PlayerID            int32           `protobuf:"varint,4,opt,name=playerID,proto3" json:"playerID,omitempty"`
	// duration in seconds
	Duration    int32        `protobuf:"varint,5,opt,name=duration,proto3" json:"duration,omitempty"`
	ActiveQuest *ActiveQuest `protobuf:"bytes,6,opt,name=activeQuest,proto3" json:"activeQuest,omitempty"`
}

func (x *Quest) Reset() {
	*x = Quest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Quest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Quest) ProtoMessage() {}

func (x *Quest) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Quest.ProtoReflect.Descriptor instead.
func (*Quest) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{0}
}

func (x *Quest) GetId() *common.QuestId {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *Quest) GetDifficulty() int32 {
	if x != nil {
		return x.Difficulty
	}
	return 0
}

func (x *Quest) GetRecommendedStrength() int32 {
	if x != nil {
		return x.RecommendedStrength
	}
	return 0
}

func (x *Quest) GetPlayerID() int32 {
	if x != nil {
		return x.PlayerID
	}
	return 0
}

func (x *Quest) GetDuration() int32 {
	if x != nil {
		return x.Duration
	}
	return 0
}

func (x *Quest) GetActiveQuest() *ActiveQuest {
	if x != nil {
		return x.ActiveQuest
	}
	return nil
}

type ActiveQuest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StartTime  *timestamppb.Timestamp `protobuf:"bytes,1,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	MonsterIds []*common.MonId        `protobuf:"bytes,2,rep,name=monsterIds,proto3" json:"monsterIds,omitempty"`
}

func (x *ActiveQuest) Reset() {
	*x = ActiveQuest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ActiveQuest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ActiveQuest) ProtoMessage() {}

func (x *ActiveQuest) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ActiveQuest.ProtoReflect.Descriptor instead.
func (*ActiveQuest) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{1}
}

func (x *ActiveQuest) GetStartTime() *timestamppb.Timestamp {
	if x != nil {
		return x.StartTime
	}
	return nil
}

func (x *ActiveQuest) GetMonsterIds() []*common.MonId {
	if x != nil {
		return x.MonsterIds
	}
	return nil
}

type StartQuestRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestId    *common.QuestId `protobuf:"bytes,1,opt,name=questId,proto3" json:"questId,omitempty"`
	MonsterIds []*common.MonId `protobuf:"bytes,2,rep,name=monsterIds,proto3" json:"monsterIds,omitempty"`
}

func (x *StartQuestRequest) Reset() {
	*x = StartQuestRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StartQuestRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StartQuestRequest) ProtoMessage() {}

func (x *StartQuestRequest) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StartQuestRequest.ProtoReflect.Descriptor instead.
func (*StartQuestRequest) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{2}
}

func (x *StartQuestRequest) GetQuestId() *common.QuestId {
	if x != nil {
		return x.QuestId
	}
	return nil
}

func (x *StartQuestRequest) GetMonsterIds() []*common.MonId {
	if x != nil {
		return x.MonsterIds
	}
	return nil
}

type GetQuestsByUser struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId *common.UserId `protobuf:"bytes,1,opt,name=userId,proto3" json:"userId,omitempty"`
}

func (x *GetQuestsByUser) Reset() {
	*x = GetQuestsByUser{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetQuestsByUser) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuestsByUser) ProtoMessage() {}

func (x *GetQuestsByUser) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuestsByUser.ProtoReflect.Descriptor instead.
func (*GetQuestsByUser) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{3}
}

func (x *GetQuestsByUser) GetUserId() *common.UserId {
	if x != nil {
		return x.UserId
	}
	return nil
}

type GetQuest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestId *common.QuestId `protobuf:"bytes,1,opt,name=questId,proto3" json:"questId,omitempty"`
}

func (x *GetQuest) Reset() {
	*x = GetQuest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetQuest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuest) ProtoMessage() {}

func (x *GetQuest) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuest.ProtoReflect.Descriptor instead.
func (*GetQuest) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{4}
}

func (x *GetQuest) GetQuestId() *common.QuestId {
	if x != nil {
		return x.QuestId
	}
	return nil
}

type StartQuestResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *common.ResponseStatus `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *StartQuestResponse) Reset() {
	*x = StartQuestResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StartQuestResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StartQuestResponse) ProtoMessage() {}

func (x *StartQuestResponse) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StartQuestResponse.ProtoReflect.Descriptor instead.
func (*StartQuestResponse) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{5}
}

func (x *StartQuestResponse) GetStatus() *common.ResponseStatus {
	if x != nil {
		return x.Status
	}
	return nil
}

type GetQuestResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Quest *Quest `protobuf:"bytes,1,opt,name=quest,proto3" json:"quest,omitempty"`
}

func (x *GetQuestResponse) Reset() {
	*x = GetQuestResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetQuestResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuestResponse) ProtoMessage() {}

func (x *GetQuestResponse) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuestResponse.ProtoReflect.Descriptor instead.
func (*GetQuestResponse) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{6}
}

func (x *GetQuestResponse) GetQuest() *Quest {
	if x != nil {
		return x.Quest
	}
	return nil
}

type GetQuestByUserResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Quests []*Quest `protobuf:"bytes,1,rep,name=quests,proto3" json:"quests,omitempty"`
}

func (x *GetQuestByUserResponse) Reset() {
	*x = GetQuestByUserResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetQuestByUserResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetQuestByUserResponse) ProtoMessage() {}

func (x *GetQuestByUserResponse) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetQuestByUserResponse.ProtoReflect.Descriptor instead.
func (*GetQuestByUserResponse) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{7}
}

func (x *GetQuestByUserResponse) GetQuests() []*Quest {
	if x != nil {
		return x.Quests
	}
	return nil
}

type QuestList struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Quests []*Quest `protobuf:"bytes,1,rep,name=quests,proto3" json:"quests,omitempty"`
}

func (x *QuestList) Reset() {
	*x = QuestList{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestList) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestList) ProtoMessage() {}

func (x *QuestList) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestList.ProtoReflect.Descriptor instead.
func (*QuestList) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{8}
}

func (x *QuestList) GetQuests() []*Quest {
	if x != nil {
		return x.Quests
	}
	return nil
}

type QuestCompletedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestId *common.QuestId `protobuf:"bytes,1,opt,name=questId,proto3" json:"questId,omitempty"`
}

func (x *QuestCompletedEvent) Reset() {
	*x = QuestCompletedEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestCompletedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestCompletedEvent) ProtoMessage() {}

func (x *QuestCompletedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestCompletedEvent.ProtoReflect.Descriptor instead.
func (*QuestCompletedEvent) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{9}
}

func (x *QuestCompletedEvent) GetQuestId() *common.QuestId {
	if x != nil {
		return x.QuestId
	}
	return nil
}

type QuestUpdatedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Quest *Quest `protobuf:"bytes,1,opt,name=quest,proto3" json:"quest,omitempty"`
}

func (x *QuestUpdatedEvent) Reset() {
	*x = QuestUpdatedEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestUpdatedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestUpdatedEvent) ProtoMessage() {}

func (x *QuestUpdatedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestUpdatedEvent.ProtoReflect.Descriptor instead.
func (*QuestUpdatedEvent) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{10}
}

func (x *QuestUpdatedEvent) GetQuest() *Quest {
	if x != nil {
		return x.Quest
	}
	return nil
}

type QuestDeletedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	QuestId *common.QuestId `protobuf:"bytes,1,opt,name=questId,proto3" json:"questId,omitempty"`
}

func (x *QuestDeletedEvent) Reset() {
	*x = QuestDeletedEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestDeletedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestDeletedEvent) ProtoMessage() {}

func (x *QuestDeletedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestDeletedEvent.ProtoReflect.Descriptor instead.
func (*QuestDeletedEvent) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{11}
}

func (x *QuestDeletedEvent) GetQuestId() *common.QuestId {
	if x != nil {
		return x.QuestId
	}
	return nil
}

type QuestStartedEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Quest *Quest `protobuf:"bytes,1,opt,name=quest,proto3" json:"quest,omitempty"`
}

func (x *QuestStartedEvent) Reset() {
	*x = QuestStartedEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestStartedEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestStartedEvent) ProtoMessage() {}

func (x *QuestStartedEvent) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestStartedEvent.ProtoReflect.Descriptor instead.
func (*QuestStartedEvent) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{12}
}

func (x *QuestStartedEvent) GetQuest() *Quest {
	if x != nil {
		return x.Quest
	}
	return nil
}

type QuestEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Event:
	//	*QuestEvent_CompletedEvent
	//	*QuestEvent_UpdatedEvent
	//	*QuestEvent_DeletedEvent
	//	*QuestEvent_StartedEvent
	Event isQuestEvent_Event `protobuf_oneof:"event"`
}

func (x *QuestEvent) Reset() {
	*x = QuestEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestEvent) ProtoMessage() {}

func (x *QuestEvent) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestEvent.ProtoReflect.Descriptor instead.
func (*QuestEvent) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{13}
}

func (m *QuestEvent) GetEvent() isQuestEvent_Event {
	if m != nil {
		return m.Event
	}
	return nil
}

func (x *QuestEvent) GetCompletedEvent() *QuestCompletedEvent {
	if x, ok := x.GetEvent().(*QuestEvent_CompletedEvent); ok {
		return x.CompletedEvent
	}
	return nil
}

func (x *QuestEvent) GetUpdatedEvent() *QuestUpdatedEvent {
	if x, ok := x.GetEvent().(*QuestEvent_UpdatedEvent); ok {
		return x.UpdatedEvent
	}
	return nil
}

func (x *QuestEvent) GetDeletedEvent() *QuestDeletedEvent {
	if x, ok := x.GetEvent().(*QuestEvent_DeletedEvent); ok {
		return x.DeletedEvent
	}
	return nil
}

func (x *QuestEvent) GetStartedEvent() *QuestStartedEvent {
	if x, ok := x.GetEvent().(*QuestEvent_StartedEvent); ok {
		return x.StartedEvent
	}
	return nil
}

type isQuestEvent_Event interface {
	isQuestEvent_Event()
}

type QuestEvent_CompletedEvent struct {
	CompletedEvent *QuestCompletedEvent `protobuf:"bytes,1,opt,name=completedEvent,proto3,oneof"`
}

type QuestEvent_UpdatedEvent struct {
	UpdatedEvent *QuestUpdatedEvent `protobuf:"bytes,2,opt,name=updatedEvent,proto3,oneof"`
}

type QuestEvent_DeletedEvent struct {
	DeletedEvent *QuestDeletedEvent `protobuf:"bytes,3,opt,name=deletedEvent,proto3,oneof"`
}

type QuestEvent_StartedEvent struct {
	StartedEvent *QuestStartedEvent `protobuf:"bytes,4,opt,name=startedEvent,proto3,oneof"`
}

func (*QuestEvent_CompletedEvent) isQuestEvent_Event() {}

func (*QuestEvent_UpdatedEvent) isQuestEvent_Event() {}

func (*QuestEvent_DeletedEvent) isQuestEvent_Event() {}

func (*QuestEvent_StartedEvent) isQuestEvent_Event() {}

type QuestServiceCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Method:
	//	*QuestServiceCall_StartQuest
	//	*QuestServiceCall_GetQuest
	//	*QuestServiceCall_QuestQuestByUser
	Method   isQuestServiceCall_Method `protobuf_oneof:"method"`
	MetaData *common.MetaData          `protobuf:"bytes,4,opt,name=metaData,proto3" json:"metaData,omitempty"`
}

func (x *QuestServiceCall) Reset() {
	*x = QuestServiceCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestServiceCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestServiceCall) ProtoMessage() {}

func (x *QuestServiceCall) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestServiceCall.ProtoReflect.Descriptor instead.
func (*QuestServiceCall) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{14}
}

func (m *QuestServiceCall) GetMethod() isQuestServiceCall_Method {
	if m != nil {
		return m.Method
	}
	return nil
}

func (x *QuestServiceCall) GetStartQuest() *StartQuestRequest {
	if x, ok := x.GetMethod().(*QuestServiceCall_StartQuest); ok {
		return x.StartQuest
	}
	return nil
}

func (x *QuestServiceCall) GetGetQuest() *GetQuest {
	if x, ok := x.GetMethod().(*QuestServiceCall_GetQuest); ok {
		return x.GetQuest
	}
	return nil
}

func (x *QuestServiceCall) GetQuestQuestByUser() *GetQuestsByUser {
	if x, ok := x.GetMethod().(*QuestServiceCall_QuestQuestByUser); ok {
		return x.QuestQuestByUser
	}
	return nil
}

func (x *QuestServiceCall) GetMetaData() *common.MetaData {
	if x != nil {
		return x.MetaData
	}
	return nil
}

type isQuestServiceCall_Method interface {
	isQuestServiceCall_Method()
}

type QuestServiceCall_StartQuest struct {
	StartQuest *StartQuestRequest `protobuf:"bytes,1,opt,name=startQuest,proto3,oneof"`
}

type QuestServiceCall_GetQuest struct {
	GetQuest *GetQuest `protobuf:"bytes,2,opt,name=getQuest,proto3,oneof"`
}

type QuestServiceCall_QuestQuestByUser struct {
	QuestQuestByUser *GetQuestsByUser `protobuf:"bytes,3,opt,name=questQuestByUser,proto3,oneof"`
}

func (*QuestServiceCall_StartQuest) isQuestServiceCall_Method() {}

func (*QuestServiceCall_GetQuest) isQuestServiceCall_Method() {}

func (*QuestServiceCall_QuestQuestByUser) isQuestServiceCall_Method() {}

type QuestServiceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Data:
	//	*QuestServiceResponse_StartQuestResponse
	//	*QuestServiceResponse_GetQuestResponse
	//	*QuestServiceResponse_GetQuestByUserResponse
	Data     isQuestServiceResponse_Data `protobuf_oneof:"data"`
	MetaData *common.MetaData            `protobuf:"bytes,4,opt,name=metaData,proto3" json:"metaData,omitempty"`
}

func (x *QuestServiceResponse) Reset() {
	*x = QuestServiceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_quest_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *QuestServiceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*QuestServiceResponse) ProtoMessage() {}

func (x *QuestServiceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_quest_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use QuestServiceResponse.ProtoReflect.Descriptor instead.
func (*QuestServiceResponse) Descriptor() ([]byte, []int) {
	return file_quest_proto_rawDescGZIP(), []int{15}
}

func (m *QuestServiceResponse) GetData() isQuestServiceResponse_Data {
	if m != nil {
		return m.Data
	}
	return nil
}

func (x *QuestServiceResponse) GetStartQuestResponse() *StartQuestResponse {
	if x, ok := x.GetData().(*QuestServiceResponse_StartQuestResponse); ok {
		return x.StartQuestResponse
	}
	return nil
}

func (x *QuestServiceResponse) GetGetQuestResponse() *GetQuestResponse {
	if x, ok := x.GetData().(*QuestServiceResponse_GetQuestResponse); ok {
		return x.GetQuestResponse
	}
	return nil
}

func (x *QuestServiceResponse) GetGetQuestByUserResponse() *GetQuestByUserResponse {
	if x, ok := x.GetData().(*QuestServiceResponse_GetQuestByUserResponse); ok {
		return x.GetQuestByUserResponse
	}
	return nil
}

func (x *QuestServiceResponse) GetMetaData() *common.MetaData {
	if x != nil {
		return x.MetaData
	}
	return nil
}

type isQuestServiceResponse_Data interface {
	isQuestServiceResponse_Data()
}

type QuestServiceResponse_StartQuestResponse struct {
	StartQuestResponse *StartQuestResponse `protobuf:"bytes,1,opt,name=startQuestResponse,proto3,oneof"`
}

type QuestServiceResponse_GetQuestResponse struct {
	GetQuestResponse *GetQuestResponse `protobuf:"bytes,2,opt,name=getQuestResponse,proto3,oneof"`
}

type QuestServiceResponse_GetQuestByUserResponse struct {
	GetQuestByUserResponse *GetQuestByUserResponse `protobuf:"bytes,3,opt,name=getQuestByUserResponse,proto3,oneof"`
}

func (*QuestServiceResponse_StartQuestResponse) isQuestServiceResponse_Data() {}

func (*QuestServiceResponse_GetQuestResponse) isQuestServiceResponse_Data() {}

func (*QuestServiceResponse_GetQuestByUserResponse) isQuestServiceResponse_Data() {}

var File_quest_proto protoreflect.FileDescriptor

var file_quest_proto_rawDesc = []byte{
	0x0a, 0x0b, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xf2, 0x01, 0x0a, 0x05, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x24, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x49, 0x64, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x69, 0x66, 0x66,
	0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x64, 0x69,
	0x66, 0x66, 0x69, 0x63, 0x75, 0x6c, 0x74, 0x79, 0x12, 0x30, 0x0a, 0x13, 0x72, 0x65, 0x63, 0x6f,
	0x6d, 0x6d, 0x65, 0x6e, 0x64, 0x65, 0x64, 0x53, 0x74, 0x72, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x13, 0x72, 0x65, 0x63, 0x6f, 0x6d, 0x6d, 0x65, 0x6e, 0x64,
	0x65, 0x64, 0x53, 0x74, 0x72, 0x65, 0x6e, 0x67, 0x74, 0x68, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x6c,
	0x61, 0x79, 0x65, 0x72, 0x49, 0x44, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x70, 0x6c,
	0x61, 0x79, 0x65, 0x72, 0x49, 0x44, 0x12, 0x1a, 0x0a, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x39, 0x0a, 0x0b, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x2e, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x52, 0x0b, 0x61, 0x63, 0x74, 0x69, 0x76, 0x65, 0x51, 0x75, 0x65, 0x73, 0x74, 0x22, 0x7c, 0x0a,
	0x0b, 0x41, 0x63, 0x74, 0x69, 0x76, 0x65, 0x51, 0x75, 0x65, 0x73, 0x74, 0x12, 0x39, 0x0a, 0x0a,
	0x73, 0x74, 0x61, 0x72, 0x74, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62,
	0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x73, 0x74,
	0x61, 0x72, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x32, 0x0a, 0x0a, 0x6d, 0x6f, 0x6e, 0x73, 0x74,
	0x65, 0x72, 0x49, 0x64, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52,
	0x0a, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x49, 0x64, 0x73, 0x22, 0x77, 0x0a, 0x11, 0x53,
	0x74, 0x61, 0x72, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x2e, 0x0a, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x52, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64,
	0x12, 0x32, 0x0a, 0x0a, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65, 0x72, 0x49, 0x64, 0x73, 0x18, 0x02,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x4d, 0x6f, 0x6e, 0x49, 0x64, 0x52, 0x0a, 0x6d, 0x6f, 0x6e, 0x73, 0x74, 0x65,
	0x72, 0x49, 0x64, 0x73, 0x22, 0x3e, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x73, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x12, 0x2b, 0x0a, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x13, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x52, 0x06, 0x75, 0x73,
	0x65, 0x72, 0x49, 0x64, 0x22, 0x3a, 0x0a, 0x08, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x2e, 0x0a, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x52, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64,
	0x22, 0x49, 0x0a, 0x12, 0x53, 0x74, 0x61, 0x72, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x33, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x3b, 0x0a, 0x10, 0x47,
	0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x27, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x52, 0x05, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x43, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x29, 0x0a, 0x06, 0x71, 0x75, 0x65, 0x73, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x11, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x06, 0x71, 0x75, 0x65, 0x73, 0x74, 0x73, 0x22, 0x36, 0x0a,
	0x09, 0x51, 0x75, 0x65, 0x73, 0x74, 0x4c, 0x69, 0x73, 0x74, 0x12, 0x29, 0x0a, 0x06, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x06, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x73, 0x22, 0x45, 0x0a, 0x13, 0x51, 0x75, 0x65, 0x73, 0x74, 0x43, 0x6f,
	0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x2e, 0x0a, 0x07,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x49, 0x64, 0x52, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x22, 0x3c, 0x0a, 0x11,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x12, 0x27, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x11, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75,
	0x65, 0x73, 0x74, 0x52, 0x05, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x43, 0x0a, 0x11, 0x51, 0x75,
	0x65, 0x73, 0x74, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12,
	0x2e, 0x0a, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x52, 0x07, 0x71, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x22,
	0x3c, 0x0a, 0x11, 0x51, 0x75, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x12, 0x27, 0x0a, 0x05, 0x71, 0x75, 0x65, 0x73, 0x74, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x05, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0xaf, 0x02,
	0x0a, 0x0a, 0x51, 0x75, 0x65, 0x73, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x49, 0x0a, 0x0e,
	0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x43, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x64,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0e, 0x63, 0x6f, 0x6d, 0x70, 0x6c, 0x65, 0x74,
	0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x43, 0x0a, 0x0c, 0x75, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0c,
	0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x43, 0x0a, 0x0c,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x48, 0x00, 0x52, 0x0c, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x12, 0x43, 0x0a, 0x0c, 0x73, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x65,
	0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x00, 0x52, 0x0c, 0x73, 0x74, 0x61, 0x72, 0x74, 0x65,
	0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x42, 0x07, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x22,
	0x8f, 0x02, 0x0a, 0x10, 0x51, 0x75, 0x65, 0x73, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x43, 0x61, 0x6c, 0x6c, 0x12, 0x3f, 0x0a, 0x0a, 0x73, 0x74, 0x61, 0x72, 0x74, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x53, 0x74, 0x61, 0x72, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x48, 0x00, 0x52, 0x0a, 0x73, 0x74, 0x61, 0x72, 0x74,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x12, 0x32, 0x0a, 0x08, 0x67, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x2e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x48, 0x00, 0x52,
	0x08, 0x67, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x12, 0x49, 0x0a, 0x10, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x2e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x73, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72,
	0x48, 0x00, 0x52, 0x10, 0x71, 0x75, 0x65, 0x73, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x42, 0x79,
	0x55, 0x73, 0x65, 0x72, 0x12, 0x31, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x52, 0x08, 0x6d,
	0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x42, 0x08, 0x0a, 0x06, 0x6d, 0x65, 0x74, 0x68, 0x6f,
	0x64, 0x22, 0xcd, 0x02, 0x0a, 0x14, 0x51, 0x75, 0x65, 0x73, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x50, 0x0a, 0x12, 0x73, 0x74,
	0x61, 0x72, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x2e, 0x53, 0x74, 0x61, 0x72, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48, 0x00, 0x52, 0x12, 0x73, 0x74, 0x61, 0x72, 0x74, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4a, 0x0a, 0x10,
	0x67, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x2e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x48, 0x00, 0x52, 0x10, 0x67, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5c, 0x0a, 0x16, 0x67, 0x65, 0x74, 0x51,
	0x75, 0x65, 0x73, 0x74, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x42, 0x79,
	0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x48, 0x00, 0x52, 0x16,
	0x67, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x31, 0x0a, 0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61,
	0x74, 0x61, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x15, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x4d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x52,
	0x08, 0x6d, 0x65, 0x74, 0x61, 0x44, 0x61, 0x74, 0x61, 0x42, 0x06, 0x0a, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x32, 0x8f, 0x02, 0x0a, 0x0d, 0x51, 0x75, 0x65, 0x73, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x73, 0x12, 0x35, 0x0a, 0x08, 0x41, 0x64, 0x64, 0x51, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x11, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x14, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64, 0x22, 0x00, 0x12, 0x39, 0x0a, 0x0c, 0x47, 0x65,
	0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x42, 0x79, 0x49, 0x44, 0x12, 0x14, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x51, 0x75, 0x65, 0x73, 0x74, 0x49, 0x64,
	0x1a, 0x11, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75,
	0x65, 0x73, 0x74, 0x22, 0x00, 0x12, 0x40, 0x0a, 0x10, 0x47, 0x65, 0x74, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x42, 0x79, 0x55, 0x73, 0x65, 0x72, 0x49, 0x44, 0x12, 0x13, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x49, 0x64, 0x1a, 0x15,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x51, 0x75, 0x65, 0x73,
	0x74, 0x4c, 0x69, 0x73, 0x74, 0x22, 0x00, 0x12, 0x4a, 0x0a, 0x0a, 0x53, 0x74, 0x61, 0x72, 0x74,
	0x51, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x2e, 0x53, 0x74, 0x61, 0x72, 0x74, 0x51, 0x75, 0x65, 0x73, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x22, 0x00, 0x42, 0x33, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x76, 0x61, 0x6a, 0x61, 0x72, 0x5f, 0x6d, 0x69, 0x6e, 0x69, 0x67, 0x61, 0x6d, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x5f, 0x67, 0x6f, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x71, 0x75, 0x65, 0x73, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_quest_proto_rawDescOnce sync.Once
	file_quest_proto_rawDescData = file_quest_proto_rawDesc
)

func file_quest_proto_rawDescGZIP() []byte {
	file_quest_proto_rawDescOnce.Do(func() {
		file_quest_proto_rawDescData = protoimpl.X.CompressGZIP(file_quest_proto_rawDescData)
	})
	return file_quest_proto_rawDescData
}

var file_quest_proto_msgTypes = make([]protoimpl.MessageInfo, 16)
var file_quest_proto_goTypes = []interface{}{
	(*Quest)(nil),                  // 0: protoquest.Quest
	(*ActiveQuest)(nil),            // 1: protoquest.ActiveQuest
	(*StartQuestRequest)(nil),      // 2: protoquest.StartQuestRequest
	(*GetQuestsByUser)(nil),        // 3: protoquest.GetQuestsByUser
	(*GetQuest)(nil),               // 4: protoquest.GetQuest
	(*StartQuestResponse)(nil),     // 5: protoquest.StartQuestResponse
	(*GetQuestResponse)(nil),       // 6: protoquest.GetQuestResponse
	(*GetQuestByUserResponse)(nil), // 7: protoquest.GetQuestByUserResponse
	(*QuestList)(nil),              // 8: protoquest.QuestList
	(*QuestCompletedEvent)(nil),    // 9: protoquest.QuestCompletedEvent
	(*QuestUpdatedEvent)(nil),      // 10: protoquest.QuestUpdatedEvent
	(*QuestDeletedEvent)(nil),      // 11: protoquest.QuestDeletedEvent
	(*QuestStartedEvent)(nil),      // 12: protoquest.QuestStartedEvent
	(*QuestEvent)(nil),             // 13: protoquest.QuestEvent
	(*QuestServiceCall)(nil),       // 14: protoquest.QuestServiceCall
	(*QuestServiceResponse)(nil),   // 15: protoquest.QuestServiceResponse
	(*common.QuestId)(nil),         // 16: protocommon.QuestId
	(*timestamppb.Timestamp)(nil),  // 17: google.protobuf.Timestamp
	(*common.MonId)(nil),           // 18: protocommon.MonId
	(*common.UserId)(nil),          // 19: protocommon.UserId
	(*common.ResponseStatus)(nil),  // 20: protocommon.ResponseStatus
	(*common.MetaData)(nil),        // 21: protocommon.MetaData
}
var file_quest_proto_depIdxs = []int32{
	16, // 0: protoquest.Quest.id:type_name -> protocommon.QuestId
	1,  // 1: protoquest.Quest.activeQuest:type_name -> protoquest.ActiveQuest
	17, // 2: protoquest.ActiveQuest.start_time:type_name -> google.protobuf.Timestamp
	18, // 3: protoquest.ActiveQuest.monsterIds:type_name -> protocommon.MonId
	16, // 4: protoquest.StartQuestRequest.questId:type_name -> protocommon.QuestId
	18, // 5: protoquest.StartQuestRequest.monsterIds:type_name -> protocommon.MonId
	19, // 6: protoquest.GetQuestsByUser.userId:type_name -> protocommon.UserId
	16, // 7: protoquest.GetQuest.questId:type_name -> protocommon.QuestId
	20, // 8: protoquest.StartQuestResponse.status:type_name -> protocommon.ResponseStatus
	0,  // 9: protoquest.GetQuestResponse.quest:type_name -> protoquest.Quest
	0,  // 10: protoquest.GetQuestByUserResponse.quests:type_name -> protoquest.Quest
	0,  // 11: protoquest.QuestList.quests:type_name -> protoquest.Quest
	16, // 12: protoquest.QuestCompletedEvent.questId:type_name -> protocommon.QuestId
	0,  // 13: protoquest.QuestUpdatedEvent.quest:type_name -> protoquest.Quest
	16, // 14: protoquest.QuestDeletedEvent.questId:type_name -> protocommon.QuestId
	0,  // 15: protoquest.QuestStartedEvent.quest:type_name -> protoquest.Quest
	9,  // 16: protoquest.QuestEvent.completedEvent:type_name -> protoquest.QuestCompletedEvent
	10, // 17: protoquest.QuestEvent.updatedEvent:type_name -> protoquest.QuestUpdatedEvent
	11, // 18: protoquest.QuestEvent.deletedEvent:type_name -> protoquest.QuestDeletedEvent
	12, // 19: protoquest.QuestEvent.startedEvent:type_name -> protoquest.QuestStartedEvent
	2,  // 20: protoquest.QuestServiceCall.startQuest:type_name -> protoquest.StartQuestRequest
	4,  // 21: protoquest.QuestServiceCall.getQuest:type_name -> protoquest.GetQuest
	3,  // 22: protoquest.QuestServiceCall.questQuestByUser:type_name -> protoquest.GetQuestsByUser
	21, // 23: protoquest.QuestServiceCall.metaData:type_name -> protocommon.MetaData
	5,  // 24: protoquest.QuestServiceResponse.startQuestResponse:type_name -> protoquest.StartQuestResponse
	6,  // 25: protoquest.QuestServiceResponse.getQuestResponse:type_name -> protoquest.GetQuestResponse
	7,  // 26: protoquest.QuestServiceResponse.getQuestByUserResponse:type_name -> protoquest.GetQuestByUserResponse
	21, // 27: protoquest.QuestServiceResponse.metaData:type_name -> protocommon.MetaData
	0,  // 28: protoquest.QuestServices.AddQuest:input_type -> protoquest.Quest
	16, // 29: protoquest.QuestServices.GetQuestByID:input_type -> protocommon.QuestId
	19, // 30: protoquest.QuestServices.GetQuestByUserID:input_type -> protocommon.UserId
	2,  // 31: protoquest.QuestServices.StartQuest:input_type -> protoquest.StartQuestRequest
	16, // 32: protoquest.QuestServices.AddQuest:output_type -> protocommon.QuestId
	0,  // 33: protoquest.QuestServices.GetQuestByID:output_type -> protoquest.Quest
	8,  // 34: protoquest.QuestServices.GetQuestByUserID:output_type -> protoquest.QuestList
	20, // 35: protoquest.QuestServices.StartQuest:output_type -> protocommon.ResponseStatus
	32, // [32:36] is the sub-list for method output_type
	28, // [28:32] is the sub-list for method input_type
	28, // [28:28] is the sub-list for extension type_name
	28, // [28:28] is the sub-list for extension extendee
	0,  // [0:28] is the sub-list for field type_name
}

func init() { file_quest_proto_init() }
func file_quest_proto_init() {
	if File_quest_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_quest_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Quest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ActiveQuest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StartQuestRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetQuestsByUser); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetQuest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StartQuestResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetQuestResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetQuestByUserResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestList); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestCompletedEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestUpdatedEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestDeletedEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestStartedEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestServiceCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_quest_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*QuestServiceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_quest_proto_msgTypes[13].OneofWrappers = []interface{}{
		(*QuestEvent_CompletedEvent)(nil),
		(*QuestEvent_UpdatedEvent)(nil),
		(*QuestEvent_DeletedEvent)(nil),
		(*QuestEvent_StartedEvent)(nil),
	}
	file_quest_proto_msgTypes[14].OneofWrappers = []interface{}{
		(*QuestServiceCall_StartQuest)(nil),
		(*QuestServiceCall_GetQuest)(nil),
		(*QuestServiceCall_QuestQuestByUser)(nil),
	}
	file_quest_proto_msgTypes[15].OneofWrappers = []interface{}{
		(*QuestServiceResponse_StartQuestResponse)(nil),
		(*QuestServiceResponse_GetQuestResponse)(nil),
		(*QuestServiceResponse_GetQuestByUserResponse)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_quest_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   16,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_quest_proto_goTypes,
		DependencyIndexes: file_quest_proto_depIdxs,
		MessageInfos:      file_quest_proto_msgTypes,
	}.Build()
	File_quest_proto = out.File
	file_quest_proto_rawDesc = nil
	file_quest_proto_goTypes = nil
	file_quest_proto_depIdxs = nil
}
